define([
    'jquery',
    'moment'
], function ($, moment) {
    'use strict';

    return function (validator) 
    {
        var is_active=window.checkoutConfig.validation;
        if (is_active == 1){
            validator.addRule(
                'validate_quivers_phone_number',
                function (value, params, additionalParams) {
                    var re = new RegExp(/^\(?[0-9]{3}\)?\s?\-?[0-9]{3}\-?[0-9]{4}$/);
                    return re.test(value);
                },
                $.mage.__("Please specify a valid 10 digits mobile number.")
            );
            return validator;
        }
        else{

            return validator;
        }
    };
});